com.google.appengine.api.urlfetch

## Enum HTTPMethod

- java.lang.Object
- - java.lang.Enum<HTTPMethod>
  - - com.google.appengine.api.urlfetch.HTTPMethod

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HTTPMethod>

      public enum HTTPMethod
      extends java.lang.Enum<HTTPMethod>

  `HTTPMethod` is an enumeration of HTTP methods that can be sent to a remote server via the `URLFetchService`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE`
    `GET`
    `HEAD`
    `PATCH`
    `POST`
    `PUT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HTTPMethod` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HTTPMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET

          public static final HTTPMethod GET

    - #### POST

          public static final HTTPMethod POST

    - #### HEAD

          public static final HTTPMethod HEAD

    - #### PUT

          public static final HTTPMethod PUT

    - #### DELETE

          public static final HTTPMethod DELETE

    - #### PATCH

          public static final HTTPMethod PATCH

  - ### Method Detail

    - #### values

          public static HTTPMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HTTPMethod c : HTTPMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HTTPMethod valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null